package consumer

import (
	"context"
	"juwan-backend/app/email/mq/internal/config"

	"juwan-backend/app/email/mq/internal/svc"

	"github.com/zeromicro/go-zero/core/service"
)

func Mqs(c config.Config) []service.Service {
	ctx := context.Background()
	svcCtx := svc.NewServiceContext(c)

	var services []service.Service
	services = append(services, Kqs(ctx, c, svcCtx)...)

	return services
}
